commit:     69dad0b68102119a2d56adbd50a1cb87177c0349
Author:     Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
AuthorDate: Wed Nov  1 18:46:54 2023 +0000
Commit:     Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
CommitDate: Wed Nov  1 18:46:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=69dad0b6

net-p2p/yggdrasil-go: add 0.5.1

Signed-off-by: Eric Joldasov <bratishkaerik <AT> getgoogleoff.me>

 net-p2p/yggdrasil-go/Manifest                  |  2 +
 net-p2p/yggdrasil-go/yggdrasil-go-0.5.1.ebuild | 57 ++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/net-p2p/yggdrasil-go/Manifest b/net-p2p/yggdrasil-go/Manifest
index 970006506e..94f1c8dda8 100644
--- a/net-p2p/yggdrasil-go/Manifest
+++ b/net-p2p/yggdrasil-go/Manifest
@@ -1,2 +1,4 @@
 DIST yggdrasil-go-0.4.7-vendor.tar.xz 958088 BLAKE2B 
1e6412803a2428fbc3779115155f7a5eb24e0f433c14083f79165da0b035c17ec083d1eb8a472d9edb7436f162c9a406fb67dce3f35be1f73d262ad1c048d728
 SHA512 
bd378cc24793d04969adc1318c08593115be2a0a8a7f83fdd773c10b16c7b0409867ea6e58994bdefaa8ad83730e2d4ee0526776beba170fd522b4fc46a0a36d
 DIST yggdrasil-go-0.4.7.tar.gz 95223 BLAKE2B 
eb56702dc95a9bb3bc5a48073d3e2241eb076299262fbeb5e001f2af0da5407796f0978295ae3ecf7b347f2a322c45bfb8d623e0c9271f092288f79ab5ad1040
 SHA512 
954e511001b509ae95348f18e489aed98dfa9ac079c007e3c054d00163e224389fdb6ae293be507cba5ae5182612a466a9d8878e7e2d762289ad4429920246e8
+DIST yggdrasil-go-0.5.1-vendor.tar.xz 1443912 BLAKE2B 
f62c2ddd09ff662e939f993bf850f862d2bb5cc5db34b4d38251e21aa8980729d1333196332d4f78b1b80b4f782102db9c8d286716d65d39cdfc6425e0e44510
 SHA512 
2f695542dbf642139be23227c432fc8e789fc8e3d4dedff9278ae0051db487bad642eda293ef39eab7d78bf578e474897517849badc123a980a0e9b66d8e9fd3
+DIST yggdrasil-go-0.5.1.tar.gz 103689 BLAKE2B 
4787f35acb6132d18c692dc727c0485025a25641cf09018e4fcc7cb1f7b4f7eb1418e2345cbde546b124b994cc615cc6f4ef9f13a40aefb55c8e89e04e5bf5d0
 SHA512 
2c7e3c4dee700328c651131dad8cc5e57de7a56d988062b130634679cf1e7af296fd1d11d80e7cf1e2ab389390a75c266b06d7179b9e5104ec150b71f6b3ebba

diff --git a/net-p2p/yggdrasil-go/yggdrasil-go-0.5.1.ebuild 
b/net-p2p/yggdrasil-go/yggdrasil-go-0.5.1.ebuild
new file mode 100644
index 0000000000..7d9f6dd88f
--- /dev/null
+++ b/net-p2p/yggdrasil-go/yggdrasil-go-0.5.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module linux-info systemd fcaps
+
+DESCRIPTION="An experiment in scalable routing as an encrypted IPv6 overlay 
network"
+HOMEPAGE="https://yggdrasil-network.github.io/";
+SRC_URI="
+       
https://github.com/yggdrasil-network/yggdrasil-go/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz
+       
https://codeberg.org/BratishkaErik/distfiles/media/branch/master/${P}-vendor.tar.xz
+"
+
+LICENSE="LGPL-3 MIT Apache-2.0 BSD ZLIB"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror"
+
+DEPEND="
+       acct-user/yggdrasil
+       acct-group/yggdrasil
+"
+
+BDEPEND=">=dev-lang/go-1.17.0"
+
+FILECAPS=(
+       cap_net_admin,cap_net_bind_service "usr/bin/yggdrasil"
+)
+
+pkg_setup() {
+       linux-info_pkg_setup
+       if ! linux_config_exists; then
+               eerror "Unable to check your kernel for TUN support"
+       else
+               CONFIG_CHECK="~TUN"
+               ERROR_TUN="Your kernel lacks TUN support."
+       fi
+}
+
+src_compile() {
+       local package="github.com/yggdrasil-network/yggdrasil-go/src/version"
+
+       for CMD in yggdrasil yggdrasilctl ; do
+               ego build -buildmode=pie -ldflags "-s -linkmode external 
-extldflags '${LDFLAGS}' -X ${package}.buildName=${PN} -X 
${package}.buildVersion=v${PV}" -trimpath ./cmd/$CMD
+       done
+
+}
+
+src_install() {
+       dobin {yggdrasil,yggdrasilctl}
+       dodoc README.md
+       dodoc CHANGELOG.md
+       systemd_dounit "contrib/systemd/yggdrasil.service"
+       systemd_dounit "contrib/systemd/yggdrasil-default-config.service"
+       doinitd "contrib/openrc/yggdrasil"
+}

Reply via email to